%define	major 0
%define libname %mklibname unicall %{major}
%define develname %mklibname unicall -d

Summary:	A interface independance library for telephony call control
Name:		libunicall
Version:	0.0.6
Release:	%mkrel 0.pre1.1
License:	LGPL
Group:		System/Libraries
URL:		http://www.soft-switch.org/unicall/installing-mfcr2.html
Source0:	http://www.soft-switch.org/downloads/unicall/libunicall-%{version}pre1.tgz
Patch0:		libunicall-linkage_fix.diff
BuildRequires:	autoconf2.5
BuildRequires:	automake1.7
BuildRequires:	libtool
BuildRequires:	tiff-devel >= 3.6.1-3mdk
BuildRequires:	spandsp-devel
BuildRequires:	audiofile-devel
BuildRequires:	libxml2-devel
BuildRequires:	jpeg-devel
BuildRequires:	file
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
libunicall is an interface independance library for telephony call control.

%package -n	%{libname}
Summary:	Steve's SpanDSP library for telephony spans
Group:          System/Libraries

%description -n	%{libname}
libunicall is an interface independance library for telephony call control.

%package -n	%{develname}
Summary:	Header files and libraries needed for development with libunicall
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Obsoletes:	%{mklibname unicall 0 -d}

%description -n	%{develname}
This package includes the header files and libraries needed for developing
programs using libunicall.

%prep

%setup -q
%patch0 -p0

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

%build
export WANT_AUTOCONF_2_5=1
libtoolize --copy --force; aclocal-1.7; autoconf; automake-1.7 --add-missing --copy

%configure2_5x

make CFLAGS="%{optflags} -fPIC"

%install
rm -rf %{buildroot}

%makeinstall_std

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-, root, root)
%dir %{_includedir}/unicall
%{_includedir}/unicall/*.h
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la


%changelog
* Wed Oct 01 2008 Oden Eriksson <oeriksson@mandriva.com> 0.0.6-0.pre1.1mdv2009.0
+ Revision: 290336
- 0.0.6pre1
- fix linkage
- fix deps
- new devel naming

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Sat Dec 09 2006 Oden Eriksson <oeriksson@mandriva.com> 0.0.3-3mdv2007.0
+ Revision: 94054
- added the libunicall-zaptel_header.diff patch to make it locate the header (P0)
- Import libunicall

* Sun Dec 25 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.0.3-3mdk
- Fix BuildRequires

* Sun Dec 25 2005 Oden Eriksson <oeriksson@mandriva.com> 0.0.3-2mdk
- fix deps

* Sun Dec 25 2005 Oden Eriksson <oeriksson@mandriva.com> 0.0.3-1mdk
- initial Mandriva package
- used parts of the provided spec file

